Page MenuHomePhabricator

Can't paste content from Gmail where text contains a link whose href contained an accented character ("Discussion Wikipédia:Flow")
Closed, ResolvedPublic1 Story Points

Description

I have a draft with very basic content, a few lines of text plus links. I am unable to paste that in VE (tried it in Chrome and Opera, private and public wikis alike): nothing happens after I do so, sometimes the Save button will be disabled, sometimes I won't be able to say because I didn't add anything to the page. Copy/pasting such content on, say, Gdocs, copying it again and pasting it in VE doesn't make a difference (assuming doing this made sense at all).
If you're interested in digging into this, let me know, I can forward you this mail- it was meant for internal consumption, so this is all I can do.

Event Timeline

Elitre created this task.Jun 14 2016, 5:32 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 14 2016, 5:32 PM
DLynch claimed this task.Jun 16 2016, 7:57 PM
DLynch added a subscriber: DLynch.

I took up the offer to look at the email.

This is actually something I fixed completely independently last week, unattached to a formal bug, with: https://gerrit.wikimedia.org/r/#/c/293332/ / cc78cb2d0658a4dd157dd2b3dd0cc9aaca4ac786

The bug is that @Elitre's text contained a link whose href contained an accented character (Discussion Wikipédia:Flow). When copy/pasting it, said character was percent-encoded, and that broke some title-validation down the line... which was handled poorly, causing an error that just halted the entire paste.

DLynch closed this task as Resolved.Jun 16 2016, 7:57 PM
Jdforrester-WMF renamed this task from Can't paste content from Gmail to Can't paste content from Gmail where text contains a link whose href contained an accented character ("Discussion Wikipédia:Flow").Jun 17 2016, 7:15 AM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.